Name:		libmad
Version:	0.15.1b
Release:	6%{?dist}

Summary:	MPEG-1/2 layer 1/2/3 audio decoding library
License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://www.underbit.com/products/mad/
Source0:	ftp://ftp.mars.org/pub/mpeg/libmad-%{version}.tar.gz
%define		Source0_md5sum 1be543bc30c56fb6bea1d7bf6a64e66c
Patch0:		libmad-0.15.1b-multiarch.patch
Patch1:		libmad-0.15.1b-ppc.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gcc-c++
Provides:	mad = %{version}-%{release}


%description
MAD (libmad) is a high-quality MPEG audio decoding library. It currently
supports MPEG-1 and the MPEG-2 extension to Lower Sampling Frequencies, as
well as the so-called MPEG 2.5 format. All three audio layers (Layer I,
Layer II, and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should be
backward compatible with such streams) nor does it currently support AAC.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Provides:	mad-devel = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to build or develop programs using
%{name}, you will need to install %{name}-devel.

The included source file minimad.c contains a documented example of the
high-level API of %{name}. For a documented example of the low-level API,
see Bertrand Petit's madlld.


%prep
%setup -q
%patch0 -p1 -b .multiarch
%patch1 -p1 -b .ppc

### Disable -fforce-mem to compile with gcc44
sed -i -e "/-fforce-mem/d" configure*

# Create an additional pkgconfig file
cat <<EOF >mad.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: mad
Description: MPEG Audio Decoder
Requires:
Version: %{version}
Libs: -L%{_libdir} -lmad -lm
Cflags: -I%{_includedir}
EOF


%build
%configure \
    --disable-debugging \
    --disable-dependency-tracking \
    --enable-static \
    --enable-shared \
%ifarch x86_64 ia64 ppc64
    --enable-fpm="64bit" \
%endif
    --enable-accuracy
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"
install -Dp -m0644 mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc


%clean
rm -rf %{buildroot}


%post -n %{name} -p /sbin/ldconfig


%postun -n %{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO
%{_libdir}/libmad.so.0
%{_libdir}/libmad.so.0.2.1


%files devel
%defattr(-, root, root, 0755)
%doc minimad.c
%{_includedir}/mad.h
%{_libdir}/libmad.so
%{_libdir}/pkgconfig/mad.pc
%{_libdir}/libmad.a
%{_libdir}/libmad.la


%changelog
* Fri Apr 22 2011 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.15.1b-6
- spec-file imported from http://packages.sw.be/libmad/
- cleaned up spec-file

